Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.multiring
Class MultiringIdFactory.MultiringSortedMap

    java.lang.Object
      rice.p2p.multiring.MultiringIdFactory.MultiringSortedMap

All Implemented Interfaces:
  java.util.Map, java.util.SortedMap

Enclosing class:
  MultiringIdFactory

protected class MultiringIdFactory.MultiringSortedMap
extends java.lang.Object
implements java.util.SortedMap

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary
`protected java.util.SortedMap` | `map` DESCRIBE THE FIELD

Constructor Summary
`MultiringIdFactory.MultiringSortedMap(java.util.SortedMap map)` Constructor for MultiringSortedMap.

Method Summary
`void` | `clear()` DESCRIBE THE METHOD
`java.util.Comparator` | `comparator()` DESCRIBE THE METHOD
`boolean` | `containsKey(java.lang.Object key)` DESCRIBE THE METHOD
`boolean` | `containsValue(java.lang.Object value)` DESCRIBE THE METHOD
`java.util.Set` | `entrySet()` DESCRIBE THE METHOD
`boolean` | `equals(java.lang.Object o)` DESCRIBE THE METHOD
`java.lang.Object` | `firstKey()` DESCRIBE THE METHOD
`java.lang.Object` | `get(java.lang.Object key)` DESCRIBE THE METHOD
`int` | `hashCode()` DESCRIBE THE METHOD
`java.util.SortedMap` | `headMap(java.lang.Object toKey)` DESCRIBE THE METHOD
`boolean` | `isEmpty()` Gets the Empty attribute of the MultiringSortedMap object
`java.util.Set` | `keySet()` DESCRIBE THE METHOD
`java.lang.Object` | `lastKey()` DESCRIBE THE METHOD
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)` DESCRIBE THE METHOD
`void` | `putAll(java.util.Map t)` DESCRIBE THE METHOD
`java.lang.Object` | `remove(java.lang.Object key)` DESCRIBE THE METHOD
`int` | `size()` DESCRIBE THE METHOD
`java.util.SortedMap` | `subMap(java.lang.Object fromKey, java.lang.Object toKey)` DESCRIBE THE METHOD
`java.util.SortedMap` | `tailMap(java.lang.Object fromKey)` DESCRIBE THE METHOD
`java.util.Collection` | `values()` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    protected java.util.SortedMap map

  DESCRIBE THE FIELD

Constructor Detail

### MultiringIdFactory.MultiringSortedMap

    public MultiringIdFactory.MultiringSortedMap(java.util.SortedMap map)

  Constructor for MultiringSortedMap.

Parameters:
  `map` - DESCRIBE THE PARAMETER

Method Detail

### get

    public java.lang.Object get(java.lang.Object key)

  DESCRIBE THE METHOD

  Specified by:
    `get` in interface `java.util.Map`
  Parameters:
    `key` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### isEmpty

    public boolean isEmpty()

  Gets the Empty attribute of the MultiringSortedMap object

  Specified by:
    `isEmpty` in interface `java.util.Map`
  Returns:
    The Empty value

### comparator

    public java.util.Comparator comparator()

  DESCRIBE THE METHOD

  Specified by:
    `comparator` in interface `java.util.SortedMap`
  Returns:
    DESCRIBE THE RETURN VALUE

### firstKey

    public java.lang.Object firstKey()

  DESCRIBE THE METHOD

  Specified by:
    `firstKey` in interface `java.util.SortedMap`
  Returns:
    DESCRIBE THE RETURN VALUE

### headMap

    public java.util.SortedMap headMap(java.lang.Object toKey)

  DESCRIBE THE METHOD

  Specified by:
    `headMap` in interface `java.util.SortedMap`
  Parameters:
    `toKey` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### lastKey

    public java.lang.Object lastKey()

  DESCRIBE THE METHOD

  Specified by:
    `lastKey` in interface `java.util.SortedMap`
  Returns:
    DESCRIBE THE RETURN VALUE

### subMap

    public java.util.SortedMap subMap(java.lang.Object fromKey,
                                      java.lang.Object toKey)

  DESCRIBE THE METHOD

  Specified by:
    `subMap` in interface `java.util.SortedMap`
  Parameters:
    `fromKey` - DESCRIBE THE PARAMETER
    `toKey` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### tailMap

    public java.util.SortedMap tailMap(java.lang.Object fromKey)

  DESCRIBE THE METHOD

  Specified by:
    `tailMap` in interface `java.util.SortedMap`
  Parameters:
    `fromKey` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### clear

    public void clear()

  DESCRIBE THE METHOD

  Specified by:
    `clear` in interface `java.util.Map`

### containsKey

    public boolean containsKey(java.lang.Object key)

  DESCRIBE THE METHOD

  Specified by:
    `containsKey` in interface `java.util.Map`
  Parameters:
    `key` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### containsValue

    public boolean containsValue(java.lang.Object value)

  DESCRIBE THE METHOD

  Specified by:
    `containsValue` in interface `java.util.Map`
  Parameters:
    `value` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### entrySet

    public java.util.Set entrySet()

  DESCRIBE THE METHOD

  Specified by:
    `entrySet` in interface `java.util.Map`
  Returns:
    DESCRIBE THE RETURN VALUE

### equals

    public boolean equals(java.lang.Object o)

  DESCRIBE THE METHOD

  Specified by:
    `equals` in interface `java.util.Map`
  Parameters:
    `o` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### hashCode

    public int hashCode()

  DESCRIBE THE METHOD

  Specified by:
    `hashCode` in interface `java.util.Map`
  Returns:
    DESCRIBE THE RETURN VALUE

### keySet

    public java.util.Set keySet()

  DESCRIBE THE METHOD

  Specified by:
    `keySet` in interface `java.util.Map`
  Returns:
    DESCRIBE THE RETURN VALUE

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  DESCRIBE THE METHOD

  Specified by:
    `put` in interface `java.util.Map`
  Parameters:
    `key` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### putAll

    public void putAll(java.util.Map t)

  DESCRIBE THE METHOD

  Specified by:
    `putAll` in interface `java.util.Map`
  Parameters:
    `t` - DESCRIBE THE PARAMETER

### remove

    public java.lang.Object remove(java.lang.Object key)

  DESCRIBE THE METHOD

  Specified by:
    `remove` in interface `java.util.Map`
  Parameters:
    `key` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### size

    public int size()

  DESCRIBE THE METHOD

  Specified by:
    `size` in interface `java.util.Map`
  Returns:
    DESCRIBE THE RETURN VALUE

### values

    public java.util.Collection values()

  DESCRIBE THE METHOD

  Specified by:
    `values` in interface `java.util.Map`
  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.